/*************************************************************************\
*                                                                         *
*    File        : dff_tx.v                                               *
*    Description : D Flip-Flop Module with active low reset               *
*                                                                         *
\*************************************************************************/

module dff_tx (
  d,
  clk,
  reset_n,
  q
  );

input d;
input clk;
input reset_n;
output q;

reg q;

always @(posedge clk or negedge reset_n)
  if (!reset_n) q <= 1'b0;
  else q <= d;

endmodule