/*************************************************************************\
*                                                                         *
*    File    : jam_timer.v                                                *
*    Purpose : JAM Timer Module                                           *
*    Author  : Novan Hartadi (novan@vlsi.itb.ac.id)                       *
*                                                                         *
/*************************************************************************\

/*************************************************************************\
*                                                                         *
*    Brief Description :                                                  *
*    The function of this module is to determine how long JAM pattern     *
*    has been transmitted after a collision.                              *
*                                                                         *
\*************************************************************************/

module jam_timer (
  coll_event_p,
  clk,
  reset_n,
  count_jam
  );

input coll_event_p;
input clk;
input reset_n;
output [3:0] count_jam;

reg [3:0] count_jam;

always @(posedge clk or negedge reset_n)
  if (!reset_n)
    count_jam <= 4'd0;
  else
  if (coll_event_p)
    count_jam <= 1'b1;
  else
    count_jam <= count_jam + 1'b1;

endmodule

